Bug 656549 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bdii
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Keywords:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:24 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-28 17:19:04 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:24:38 UTC
Your package bdii appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Update System 2011-01-02 22:47:59 UTC
bdii-5.1.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bdii-5.1.13-1.el5

Comment 2 Fedora Update System 2011-01-02 22:48:05 UTC
bdii-5.1.13-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/bdii-5.1.13-1.el4

Comment 3 Fedora Update System 2011-01-02 22:48:11 UTC
bdii-5.1.13-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bdii-5.1.13-1.fc13

Comment 4 Fedora Update System 2011-01-02 22:48:17 UTC
bdii-5.1.13-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bdii-5.1.13-1.fc14

Comment 5 Fedora Update System 2011-01-03 17:32:04 UTC
bdii-5.1.13-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bdii'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bdii-5.1.13-1.el5

Comment 6 Fedora Update System 2011-01-28 17:18:59 UTC
bdii-5.1.13-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-01-28 17:19:14 UTC
bdii-5.1.13-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-28 19:17:31 UTC
bdii-5.1.13-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-28 19:23:11 UTC
bdii-5.1.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.